summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2021-03-10 13:48:22 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2021-03-10 13:48:22 +0000
commit5639dc03d790e751ab8169137ea72f4b681b1983 (patch)
tree4a3c0954eea398b5aa7028d4ae13783f6ab9aa09 /dev-python
parent0c96d67172b9a63ea665c9b4d15736ac578ed4a6 (diff)
downloadbaldeagleos-repo-5639dc03d790e751ab8169137ea72f4b681b1983.tar.gz
baldeagleos-repo-5639dc03d790e751ab8169137ea72f4b681b1983.tar.xz
baldeagleos-repo-5639dc03d790e751ab8169137ea72f4b681b1983.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/Faker/Faker-6.6.0.ebuild28
-rw-r--r--dev-python/Faker/Manifest1
-rw-r--r--dev-python/hypothesis/Manifest1
-rw-r--r--dev-python/hypothesis/hypothesis-6.7.0.ebuild63
-rw-r--r--dev-python/libversion/Manifest2
-rw-r--r--dev-python/libversion/libversion-1.2.3.ebuild (renamed from dev-python/libversion/libversion-1.2.1.ebuild)5
-rw-r--r--dev-python/pikepdf/Manifest1
-rw-r--r--dev-python/pikepdf/pikepdf-2.8.0_p2.ebuild51
-rw-r--r--dev-python/wcmatch/Manifest1
-rw-r--r--dev-python/wcmatch/wcmatch-8.1.2.ebuild61
10 files changed, 210 insertions, 4 deletions
diff --git a/dev-python/Faker/Faker-6.6.0.ebuild b/dev-python/Faker/Faker-6.6.0.ebuild
new file mode 100644
index 000000000000..f88b1f2d978a
--- /dev/null
+++ b/dev-python/Faker/Faker-6.6.0.ebuild
@@ -0,0 +1,28 @@
+# Copyright 2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+DISTUTILS_USE_SETUPTOOLS=rdepend
+inherit distutils-r1
+
+DESCRIPTION="A Python package that generates fake data for you"
+HOMEPAGE="https://github.com/joke2k/faker"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND=">=dev-python/python-dateutil-2.4.2[${PYTHON_USEDEP}]
+ >=dev-python/text-unidecode-1.3[${PYTHON_USEDEP}]
+ !dev-ruby/faker"
+BDEPEND="
+ test? (
+ dev-python/freezegun[${PYTHON_USEDEP}]
+ dev-python/random2[${PYTHON_USEDEP}]
+ dev-python/validators[${PYTHON_USEDEP}]
+ )"
+
+distutils_enable_tests pytest
diff --git a/dev-python/Faker/Manifest b/dev-python/Faker/Manifest
index f05b195ba9c2..e3eac113d68c 100644
--- a/dev-python/Faker/Manifest
+++ b/dev-python/Faker/Manifest
@@ -1,3 +1,4 @@
DIST Faker-5.6.5.tar.gz 1058615 BLAKE2B 2a730b79ca11a80b33f5249541e2de68e5c53832fcd06891ce2e074dbca8aa21c657147e55725d37954cb997a2b1854b5c853449e7d58a71358b69fd2a36584f SHA512 1806eded3534602eb5c463ad030564edfe7c663952e62e943b809dd5d7c4e485b26c612e45f481b6125f6462d48215df065f2d3f30df67ab19699b6386a65b7b
DIST Faker-6.4.1.tar.gz 1073921 BLAKE2B 1434375b8341ad3143e5977b26fd22af69aee2e30da92072937308341f22151764c8a72361c93112b5818dc9858e8e565ab2b45bd0fabc9e59613c1015e6ea63 SHA512 8ae2014b27f07b41afc67dc9a3d65e39f1073987c0c4bac6da5d625145e1d43783e4134bafdfe4e94035be9ff4367e5a19ab63635bf8ce7ff353a8745cf96269
DIST Faker-6.5.1.tar.gz 1074618 BLAKE2B dfcd80c170ae1f68c4eb541804b4f91c5c2821669e51d3231daa92c6b2818b30e6ff6a6328e5836f534a7d1ddd24d4b089adffc461e785642d7663088ba47251 SHA512 7681e9afa48f39c3a7dd41ef48e70025a4a225de3cbb6b8272279f353df7d4b956a2398ae0d84926fc1e72530accda4b2407e1b0cee116494bccfbaaf21bc38d
+DIST Faker-6.6.0.tar.gz 1114719 BLAKE2B 2e3639eba6ad74784ef30e2e7e6aa8b9fdc61c1d64babb256994068e1f54133841225b6549b4edde3539c3888acdcacf3029fe7daa414fd1142e2c1df8ac201d SHA512 1e72fa5672e310ff846f0945481d60db3749d916b37cd4e267c8ca4ffc5a2eab067622f618e9b4c8bc704155be413424f197b5796a86975b86219556116e0d47
diff --git a/dev-python/hypothesis/Manifest b/dev-python/hypothesis/Manifest
index 00849386e646..cbf032102602 100644
--- a/dev-python/hypothesis/Manifest
+++ b/dev-python/hypothesis/Manifest
@@ -5,3 +5,4 @@ DIST hypothesis-python-6.4.0.tar.gz 9112974 BLAKE2B bb2312e1ae838e9a58741709f5d5
DIST hypothesis-python-6.4.2.tar.gz 9113516 BLAKE2B 115f16b4e9a4fdc4b39942cb593dc397066c556862cb79baf3c9d9c0c9d1fa46e1e855b91c73d8f93135e9582f6293d896245fbfa31bca667cb522f1d4955adf SHA512 bcaf876c197f196f27936fd6b5294cfed5d0db2f528ee95b9ebf6ae429a41dccddfd6fd66eebf8e5ad7ac512d8ec20f1878a6ded9d4c10013b732262c9454799
DIST hypothesis-python-6.4.3.tar.gz 9113616 BLAKE2B f3761a22b574edc0b001a25c836c3a845fb3a1396dbc4afc2caa1f31870793cfca8646e6b9b45386e835fce97b9bc68226018c50675931e48968e9502ad41844 SHA512 010d140538bd6a361326d00bf38a50ffbbe08adc55cc7597cf69563b5d028335493c1925bcb91f618afd87f4d754e8109776be89f229e8b25b91510fbf64d7bd
DIST hypothesis-python-6.6.0.tar.gz 9117847 BLAKE2B bb88ebee9db53f1c5753730d04e5dfe6a39ac4c5f7d534778b22b813ba188a55de6ad8a34f611f7863d1c3287be39ed7e10981e9d6ed8d8dd106688f154c3a49 SHA512 a446b4a11c6ee013225bfcd58e26efc6c9d867545d9bcf90a19468cb01fc5e2c5a7280ff9a80d4a1adbfe06dd155df6152941d5f53869d85e1d259e68a33a5e2
+DIST hypothesis-python-6.7.0.tar.gz 9118149 BLAKE2B 5c9601e6ffd9f2e20b518fdfc30f74ace1ee906604fca35c942a59370349c1166a1fd229de0bf5d3ebbfc1851fb59f92be65b112aeadc3bd10d4f628e3648e6e SHA512 fd57845f696117eb5d97f533443c60446adb95eb4dabc772c84eed268c2942001fecfc1460b42c2a83fdaec88176ff87a881f925a6e6ab5485b44f0878054d2d
diff --git a/dev-python/hypothesis/hypothesis-6.7.0.ebuild b/dev-python/hypothesis/hypothesis-6.7.0.ebuild
new file mode 100644
index 000000000000..c943eb4d7f67
--- /dev/null
+++ b/dev-python/hypothesis/hypothesis-6.7.0.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DISTUTILS_USE_SETUPTOOLS=rdepend
+PYTHON_COMPAT=( python3_{6,7,8,9,10} pypy3 )
+PYTHON_REQ_USE="threads(+),sqlite"
+
+inherit distutils-r1 eutils multiprocessing optfeature
+
+DESCRIPTION="A library for property based testing"
+HOMEPAGE="https://github.com/HypothesisWorks/hypothesis https://pypi.org/project/hypothesis/"
+SRC_URI="https://github.com/HypothesisWorks/${PN}/archive/${PN}-python-${PV}.tar.gz"
+S="${WORKDIR}/${PN}-${PN}-python-${PV}/${PN}-python"
+
+LICENSE="MPL-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
+IUSE="cli"
+
+RDEPEND="
+ >=dev-python/attrs-19.2.0[${PYTHON_USEDEP}]
+ >=dev-python/sortedcontainers-2.1.0[${PYTHON_USEDEP}]
+ cli? (
+ $(python_gen_cond_dep '
+ dev-python/black[${PYTHON_USEDEP}]
+ dev-python/click[${PYTHON_USEDEP}]
+ ' 'python*')
+ )
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/pexpect[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ !!dev-python/pydantic
+ !!<dev-python/typing-3.7.4.1
+ )
+"
+
+distutils_enable_tests --install pytest
+
+python_prepare() {
+ if ! use cli || [[ ${EPYTHON} != python* ]]; then
+ sed -i -e '/console_scripts/d' setup.py || die
+ fi
+}
+
+python_test() {
+ distutils_install_for_testing
+ epytest tests/cover tests/pytest tests/quality \
+ -n "$(makeopts_jobs "${MAKEOPTS}" "$(get_nproc)")"
+}
+
+pkg_postinst() {
+ optfeature "datetime support" dev-python/pytz
+ optfeature "dateutil support" dev-python/python-dateutil
+ optfeature "numpy support" dev-python/numpy
+ optfeature "django support" dev-python/django dev-python/pytz
+ optfeature "pandas support" dev-python/pandas
+ optfeature "pytest support" dev-python/pytest
+}
diff --git a/dev-python/libversion/Manifest b/dev-python/libversion/Manifest
index f541eaef87ae..0ef12822f3df 100644
--- a/dev-python/libversion/Manifest
+++ b/dev-python/libversion/Manifest
@@ -1,2 +1,2 @@
-DIST libversion-1.2.1.tar.gz 7645 BLAKE2B 5e7d9867b8ebe99f0c7305df3b81d25ae8031d72d29cf9af9d2b264547b17be904ef6395e0f0b78f4add04a8fc6f4eccc1113d969e2f6b60e903fca4cc7824da SHA512 a8ace4e9f6ff3455325e341fbb68fdceef4d10bf0d7ceb636f0ed02159a0ecbd0311edccab5540392d8eff78de5c9ea96271d219ed5e013e84458e521f089eec
DIST libversion-1.2.2.tar.gz 11117 BLAKE2B 30eecb64b74e88701799121b55b883343723fcc22cb81a10e20d8819853bd5dd14204464bedde4f568a779f13638571d89fbe19de0b023b7bbfd94d54bc5d37a SHA512 9779837117a5ecbde61bda5228a63db1592ae8a7b6632efeac9104d064d6d78ab47ce1d546107204809593c2471d87369b1191f5c0af87f5061445247eceabc9
+DIST libversion-1.2.3.tar.gz 7777 BLAKE2B 450851b7438ab673bab82845ce829f00fe28a787021138392dd60f649a227a9c827cd842d17e644037709e696dc0b9edd32b701264f7231e4d3f7fd21f09476d SHA512 921f736866af54b06188843b3619ee1778d4fd48d5d83e3059d36c55372cbe2febdf63c8258710a8c567ffd7b5adb241123641193a6d6f7156be6c67ab829970
diff --git a/dev-python/libversion/libversion-1.2.1.ebuild b/dev-python/libversion/libversion-1.2.3.ebuild
index c239b472b1e9..bdd52ca8e4fc 100644
--- a/dev-python/libversion/libversion-1.2.1.ebuild
+++ b/dev-python/libversion/libversion-1.2.3.ebuild
@@ -8,12 +8,11 @@ inherit distutils-r1
DESCRIPTION="Python bindings for libversion"
HOMEPAGE="https://github.com/repology/py-libversion https://pypi.org/project/libversion/"
+#SRC_URI="https://files.pythonhosted.org/packages/72/51/4bf0274f1a0646da112ac197a33ffd10f400349eb1dad570c79245c5b05b/${P}.tar.gz"
SRC_URI="https://github.com/repology/py-${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
-
+S="${WORKDIR}/py-${P}"
SLOT="0"
LICENSE="MIT"
KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux ~amd64-fbsd"
DEPEND="dev-libs/libversion"
-
-S="${WORKDIR}/py-${P}"
diff --git a/dev-python/pikepdf/Manifest b/dev-python/pikepdf/Manifest
index 28ad327327b2..c8c04639a825 100644
--- a/dev-python/pikepdf/Manifest
+++ b/dev-python/pikepdf/Manifest
@@ -2,4 +2,5 @@ DIST pikepdf-2.5.2.tar.gz 2368463 BLAKE2B dcf7e2c6f8a2a9d41073f2528fa6a13d5d79c0
DIST pikepdf-2.6.0.tar.gz 2368553 BLAKE2B 9bffcb7ed046f0337392fc27bcdaf8bc7ddd451d6c238fc5cf7ef952658f154e6cd0ae553f84fe10c4df946756fb8011a449e90b7f886db11b2330fe452f75d7 SHA512 0a57df99156dfe34d129231cd9ee703cb4d00f44d65e767aa71d7094e1e0896afda1d8f770f4efa33e156ac083ede9741ac7765a415a101bf38f1eab8da04bf1
DIST pikepdf-2.7.0.tar.gz 2369537 BLAKE2B e37f77a5ce9e76f05c73b1a517da0f470d437ef41e49ad922a2f29c46f74cba9570aa1e3f9dffeacfe2bf31f6abee27bc393200620ebf23184f80ce3b40a93c3 SHA512 d3291e15461ebf9cb20d6ed145d6327e25595375a0b9e4ca9f6ee26a4b698d094f8f938cf766ee530cdd565b0f10bec78f228f70479e2777907376d24ea3b34f
DIST pikepdf-2.8.0.post1.tar.gz 2370159 BLAKE2B 336f2034f3a0207d1f5522b13ff2d0a02945862341eab78de00276cfeb9cb9c2bce17d2951b388045ef40e59bbb225988ed6443642a129b1b088908326c04bfa SHA512 8021afbc33625d5990543e315769534b9c886cb1487ad20ef00d00246c6b58edc0104f717fcfc575347e33533144af79114c5828303901d907d4756a052fcfba
+DIST pikepdf-2.8.0.post2.tar.gz 2369810 BLAKE2B 67b2f88a0718076d9f28148342832ec646443b6bdf0f9ca3717a9a9caa6518563564f25e4532c3ebc5d05e18b78f2db4a9bab17f0d0cf6cf329dcc41f7c3332f SHA512 adf28106dbf58bf4b29c3930280c6f54c04ac4fc40adb4d9e7fe3a288293b077f2e4b063e4be91e661c835b474ba2b46167ce05d9f5d2c7c13ae180f6b3b76dc
DIST pikepdf-2.8.0.tar.gz 2369623 BLAKE2B 465fbb682b973631d50b841b292ed8d86b5ff51f8466634c59c22cd86c56ace5594b74c2e36668f5f40f18ac55278978a59b0cbbc3e66d0ac49b6a6d7fe97a00 SHA512 8be9dbb20061352b482e1e4dd81cbede7cc99c294ccf7f5741b46f68244537cba225ce88e113b76e049ad5db70bfb075a8993fca1d24d99e0296e318b5107435
diff --git a/dev-python/pikepdf/pikepdf-2.8.0_p2.ebuild b/dev-python/pikepdf/pikepdf-2.8.0_p2.ebuild
new file mode 100644
index 000000000000..c1b5454f13e9
--- /dev/null
+++ b/dev-python/pikepdf/pikepdf-2.8.0_p2.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+inherit distutils-r1
+
+MY_P=${P/_p/.post}
+DESCRIPTION="Python library to work with pdf files based on qpdf"
+HOMEPAGE="https://pypi.org/project/pikepdf/ https://github.com/pikepdf/pikepdf"
+SRC_URI="
+ https://github.com/${PN}/${PN}/archive/v${PV/_p/.post}.tar.gz
+ -> ${MY_P}.tar.gz"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="MPL-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+DEPEND="app-text/qpdf:0="
+RDEPEND="${DEPEND}
+ dev-python/pillow[${PYTHON_USEDEP}]
+ dev-python/lxml[${PYTHON_USEDEP}]
+ dev-python/pybind11[${PYTHON_USEDEP}]"
+BDEPEND="
+ >=dev-python/pybind11-2.6.0[${PYTHON_USEDEP}]
+ >=dev-python/setuptools_scm-4.1[${PYTHON_USEDEP}]
+ dev-python/toml[${PYTHON_USEDEP}]
+ dev-python/setuptools_scm_git_archive[${PYTHON_USEDEP}]
+ test? (
+ >=dev-python/attrs-20.2.0[${PYTHON_USEDEP}]
+ >=dev-python/hypothesis-5[${PYTHON_USEDEP}]
+ >=dev-python/pillow-5.0.0[${PYTHON_USEDEP},jpeg,lcms,tiff]
+ >=dev-python/psutil-5[${PYTHON_USEDEP}]
+ >=dev-python/pytest-6[${PYTHON_USEDEP}]
+ >=dev-python/pytest-timeout-1.4.2[${PYTHON_USEDEP}]
+ >=dev-python/python-dateutil-2.8.0[${PYTHON_USEDEP}]
+ >=dev-python/python-xmp-toolkit-2.0.1[${PYTHON_USEDEP}]
+ )"
+
+#distutils_enable_sphinx docs \
+# dev-python/ipython \
+# dev-python/matplotlib \
+# dev-python/sphinx_rtd_theme
+distutils_enable_tests pytest
+
+src_prepare() {
+ sed -i -e '/wheel/d' setup.py || die
+ sed -i -e '/-n auto/d' setup.cfg || die
+ distutils-r1_src_prepare
+}
diff --git a/dev-python/wcmatch/Manifest b/dev-python/wcmatch/Manifest
index e3b2fe10ab52..6b6eb91b6794 100644
--- a/dev-python/wcmatch/Manifest
+++ b/dev-python/wcmatch/Manifest
@@ -3,4 +3,5 @@ DIST wcmatch-7.2.tar.gz 105087 BLAKE2B a28bd9d02468f3ca83d606ee7f7d5c9b6b8883cf6
DIST wcmatch-8.0.1.tar.gz 105948 BLAKE2B efa23d89f01b91dfb06885a9dcce94622c76e889fa7a0d8ed839cba1eafac4bd3bd1f9a8ccd95d0c7f3a6d990346de2df2bed05a1ac092b07076c548e61b77f0 SHA512 ae99df5ea8f2d1c9e0e120ba23c36dd7b0b13832e5ee599cf08dee2c93f624bab550d937743a3063fac8cce6ce18f56582380521aa3860f220abdcbfe9461dec
DIST wcmatch-8.0.tar.gz 105910 BLAKE2B 228295a28511ac8c534feed31459dc3e75316febc377473de6d30075886cf33262d6f97931c134b5aaef9109216a4b50383e884e9f3f370849e8a1ac5af5999a SHA512 94bd02e02d544746b678704bd77c1252bd569f1030316e2617f340ee81266dcba398a1a6a15d9460203e681a4825a853cbebee3681d8d338a17ef9ae8d9a03ce
DIST wcmatch-8.1.1.tar.gz 111931 BLAKE2B 0ec1bac5b26d3f45dac1b24eb3994b803e2297d064277965f6f46e23db3841f008dd6d9ebe7914c68e9c4733c5455cdcdb9652be0f6a1dc3674eaaa28666a91b SHA512 1e31a2a9edf25a7d7e64f8e64a6d8b5e00595ce4c9ac4780f073a2c8d0c123d33860f0843c8313de51478e927746f5b56902afda7b1dee0784dfb3231eb807b7
+DIST wcmatch-8.1.2.tar.gz 112726 BLAKE2B 4d91425f30e81f1ff3449b364b74f242b7393b7a4a162538e57406f9d5cc05d24277d6c0119c40266d4474c9c99919ade8d0450b1999abb39077ffc64f495719 SHA512 f96fc646db334407229ee9885b308eb2b27967d9b4e4245df33641605af678f3edfb54f53c5c8722b946029d39779fcd775299963530036c723cfa860dcfff38
DIST wcmatch-8.1.tar.gz 111866 BLAKE2B c896c67437e28faa0accc47f2faacedfcd9baf8f3c795f4c4429eb91bc22c0e71668db58979ee81356d5ead73e244ac2d13053ef421b8e212efd3a3feadc4eae SHA512 fdb06c46d6ea83f02f2a4ac8743431d1b7821188a6ad9f845c583707091cbfd1231d1970ba3cea92e993583ed91ee314f04240dcb9285f6bb5624bd4dbae8743
diff --git a/dev-python/wcmatch/wcmatch-8.1.2.ebuild b/dev-python/wcmatch/wcmatch-8.1.2.ebuild
new file mode 100644
index 000000000000..d1d3030699ea
--- /dev/null
+++ b/dev-python/wcmatch/wcmatch-8.1.2.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+
+DOCS_BUILDER="mkdocs"
+DOCS_DEPEND="
+ ~dev-python/mkdocs_pymdownx_material_extras-1.0.7
+ dev-python/mkdocs-material
+ dev-python/mkdocs-git-revision-date-localized-plugin
+ dev-python/mkdocs-minify-plugin
+ dev-python/pyspelling
+"
+
+inherit distutils-r1 docs
+
+DESCRIPTION="Wildcard/glob file name matcher"
+HOMEPAGE="
+ https://github.com/facelessuser/wcmatch/
+ https://pypi.org/project/wcmatch/"
+SRC_URI="https://github.com/facelessuser/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ >=dev-python/backrefs-4.1[${PYTHON_USEDEP}]
+ >=dev-python/bracex-2.0[${PYTHON_USEDEP}]
+"
+
+BDEPEND="test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-vcs/git
+)"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # this test makes a really wrong assumption that basename of $HOME
+ # will be a username
+ sed -i -e 's:test_tilde_user:_&:' \
+ tests/test_glob.py || die
+
+ # tests require some files in homedir
+ > "${HOME}"/test1.txt || die
+ > "${HOME}"/test2.txt || die
+
+ # mkdocs-git-revision-date-localized-plugin needs git repo
+ if use doc; then
+ git init || die
+ git config --global user.email "you@example.com" || die
+ git config --global user.name "Your Name" || die
+ git add . || die
+ git commit -m 'init' || die
+ fi
+
+ distutils-r1_python_prepare_all
+}